<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Documento sin título</title>
<style type="text/css">
div{
	width:500px;
	height:200px;
	background-color:#ccc;
	border:1px solid #000;
	margin:10px auto;
	background-image:url(../imgs/th2.JPG);
	background-size:100% 100%;
}
div>#barra{
	border:none;
	margin:0px;
	background-color:#0F6;
	background-image:none;
}
</style>
<script type="text/javascript">


	var reloj;
	window.addEventListener("load",()=>{
		var barra=document.querySelector("#barra");
		barra.style.width="0%";
		var ancho=parseInt(barra.style.width);

		reloj=setInterval(()=>{
			ancho=ancho+1;
			if(ancho<=100){
			barra.style.width=ancho+"%";
			}else{
			clearInterval(reloj);
			}
		},1000);
	});



// function aumentar(){
// 	var barra=document.querySelector("#barra");
// 	var ancho=parseInt(barra.style.width);
// 	ancho=ancho+1;
// 	if(ancho<=100){
// 		barra.style.width=ancho+"%";
// 	}else{
// 		clearInterval(reloj);
// 	}
// }



// function cargar(){
// 	var barra=document.querySelector("#barra");
// 	barra.style.width="0%";
// 	reloj=setInterval(aumentar,1000);
// }
</script>
</head>

<body>
<div>
<div id="barra">
</div>
</div>
</body>
</html>
